import { Database, HTMLWidget, Widget } from "@hpcc-js/common";
export declare class MultiChart extends HTMLWidget {
    _allCharts: {};
    _chartTypeDefaults: any;
    _chartTypeProperties: any;
    _chartMonitor: any;
    _switchingTo: any;
    constructor();
    fields(): Database.Field[];
    fields(_: Database.Field[]): this;
    columns(): string[];
    columns(_: any, asDefault?: boolean): this;
    data(_?: any): any;
    hasOverlay(): any;
    visible(): boolean;
    visible(_: boolean): this;
    chartTypeDefaults(): object;
    chartTypeDefaults(_: object): this;
    chartTypeProperties(): object;
    chartTypeProperties(_: object): this;
    getChartDataFamily(): any;
    requireContent(chartType: any, callback: any): void;
    switchChart(callback: any): void;
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    render(_callback?: any): any;
}
export interface ChartMeta {
    id: string;
    display: string;
    widgetClass: string;
    widgetPath?: string;
}
export interface MultiChart {
    _otherChartTypes: ChartMeta[];
    _graphChartTypes: ChartMeta[];
    _1DChartTypes: ChartMeta[];
    _2DChartTypes: ChartMeta[];
    _NDChartTypes: ChartMeta[];
    _mapChartTypes: ChartMeta[];
    _anyChartTypes: ChartMeta[];
    _allChartTypes: ChartMeta[];
    _allMap: any;
    _allFamilies: string[];
    _allChartTypesMap: any;
    _allChartTypesByClass: any;
    hideRowOnLegendClick(): boolean;
    hideRowOnLegendClick(_: boolean): this;
    chartType(): string;
    chartType(_: string): this;
    chart(): Widget;
    chart(_: Widget): this;
    chart_access(): Widget;
    chart_access(_: Widget): this;
    click(_row: any, _column: any, _selected: any): void;
    dblclick(_row: any, _column: any, _selected: any): void;
    vertex_click(row: any, column: any, selected: any, more: any): void;
    vertex_dblclick(row: any, column: any, selected: any, more: any): void;
    edge_click(row: any, column: any, selected: any, more: any): void;
    edge_dblclick(row: any, column: any, selected: any, more: any): void;
}
